package com.ama.core.architecture.ext

import android.app.Activity
import android.view.View
import android.widget.Toast
import androidx.fragment.app.Fragment
import com.ama.core.architecture.BaseApp


fun showToast(strRes: Int): Unit {
    Toast.makeText(BaseApp.appContext(), strRes, Toast.LENGTH_SHORT).show()
}


fun View.toast(strRes: Int): Unit = showToast(strRes = strRes)
fun Fragment.toast(strRes: Int): Unit = showToast(strRes = strRes)
fun Activity.toast(strRes: Int): Unit = showToast(strRes = strRes)